## com.saxonica.functions.xpath3
Class TrigonometricFn.SinFn

    java.lang.Object
      net.sf.saxon.lib.ExtensionFunctionDefinition
          com.saxonica.functions.xpath3.TrigonometricFn
              com.saxonica.functions.xpath3.TrigonometricFn.SinFn

All Implemented Interfaces:
  Serializable

Enclosing class:
  TrigonometricFn

    public static class TrigonometricFn.SinFn

extends TrigonometricFn

Implement math:sin

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.saxonica.functions.xpath3.TrigonometricFn
`TrigonometricFn.AcosFn, TrigonometricFn.AsinFn, TrigonometricFn.AtanFn, TrigonometricFn.CosFn, TrigonometricFn.SinFn, TrigonometricFn.SqrtFn, TrigonometricFn.TanFn`

Field Summary

Fields inherited from class com.saxonica.functions.xpath3.TrigonometricFn
`NAMESPACE`

Constructor Summary
`TrigonometricFn.SinFn()`

Method Summary
`protected double` `compute(double input)` The function that does the work, which must be implemented in subclasses
`StructuredQName` `getFunctionQName()` Get the name of the function, as a QName.

Methods inherited from class com.saxonica.functions.xpath3.TrigonometricFn
`getArgumentTypes, getMaximumNumberOfArguments, getMinimumNumberOfArguments, getResultType, makeCallExpression, trustResultType`

Methods inherited from class net.sf.saxon.lib.ExtensionFunctionDefinition
`dependsOnFocus, getCompilerForJava, hasSideEffects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrigonometricFn.SinFn

    public TrigonometricFn.SinFn()

Method Detail

### getFunctionQName

    public StructuredQName getFunctionQName()

  Description copied from class: `ExtensionFunctionDefinition`
  Get the name of the function, as a QName.

  This method must be implemented in all subclasses

  Specified by:
    `getFunctionQName` in class `ExtensionFunctionDefinition`
  Returns:
    the function name

### compute

    protected double compute(double input)

  Description copied from class: `TrigonometricFn`
  The function that does the work, which must be implemented in subclasses

  Specified by:
    `compute` in class `TrigonometricFn`
  Parameters:
    `input` - the input value
  Returns:
    the result

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.